Index: trunk/autoquest-core-usability/src/main/java/de/ugoe/cs/autoquest/usability/UsabilityEvaluationManager.java
===================================================================
--- trunk/autoquest-core-usability/src/main/java/de/ugoe/cs/autoquest/usability/UsabilityEvaluationManager.java	(revision 1493)
+++ trunk/autoquest-core-usability/src/main/java/de/ugoe/cs/autoquest/usability/UsabilityEvaluationManager.java	(revision 1918)
@@ -48,12 +48,18 @@
      */
     private void init() {
-        //rules.add(new TextInputStatisticsRule());
-        rules.add(new MissingFeedbackRule());
-        rules.add(new EventCoverageRatioRule());
-        rules.add(new RequiredInefficientActionsRule());
-        //rules.add(new TaskCooccurrenceRule());
-        rules.add(new TargetDistanceRule());
-        //rules.add(new UnusedGUIElementsRule());
-        //rules.add(new TaskTreeTestRule());
+        rules.add(new TaskTreeTestRule());
+//        rules.add(new TextInputStatisticsRule());
+//        rules.add(new MissingFeedbackRule());
+//        rules.add(new EventCoverageRatioRule());
+//        rules.add(new TargetDistanceRule());
+//        rules.add(new RequiredInefficientActionsRule());
+//        rules.add(new DataEntryMethodChangeRule());
+        rules.add(new DefaultValueRule());
+//        rules.add(new CheckBoxMultipleSelectionRule());
+//        rules.add(new CommonTaskRateRule());
+//        rules.add(new MisleadingClickCueRule());
+//        rules.add(new DefaultCursorPositioningRule());
+//        rules.add(new UnusedGUIElementsRule());
+//        rules.add(new TaskCooccurrenceRule());
     }
 
@@ -70,40 +76,35 @@
             UsabilityEvaluationResult result = rule.evaluate(taskModel);
             interimResults.add(result);
-            Console.traceln(Level.INFO, "the rule found " + result.getAllDefects().size() +
-                            " usability defects, of which " + result.getSevereDefects().size() +
-                            " are severe.");
+            Console.traceln(Level.INFO, "the rule found " + result.getAllSmells().size() +
+                            " usability smells.");
             
-            if ((rule instanceof EventCoverageRatioRule) ||
-                (rule instanceof RequiredInefficientActionsRule) ||
-                (rule instanceof TargetDistanceRule))
-            {
-                ITask[] referredTasks = new ITask[result.getAllDefects().size()];
+            List<ITask> referredTasks = new ArrayList<ITask>();
 
-                for (int i = 0; i < result.getAllDefects().size(); i++) {
-                    referredTasks[i] =
-                        (ITask) result.getAllDefects().get(i).getDescriptionFragments().get(1);
+            for (UsabilitySmell smell : result.getAllSmells()) {
+                if (smell.getSmellingTask() != null) {
+                    referredTasks.add(smell.getSmellingTask());
                 }
+            }
                 
-                int counter = 0;
-                for (int i = 0; i < referredTasks.length; i++) {
-                    for (int j = 0; j < referredTasks.length; j++) {
-                        if (isChildOf(referredTasks[i], referredTasks[j])) {
-                            counter++;
-                            break;
-                        }
+            int counter = 0;
+            for (int i = 0; i < referredTasks.size(); i++) {
+                for (int j = 0; j < referredTasks.size(); j++) {
+                    if (isChildOf(referredTasks.get(i), referredTasks.get(j))) {
+                        counter++;
+                        break;
                     }
                 }
+            }
                 
-                if (counter > 0) {
-                    Console.traceln(Level.INFO, counter + " of the findings are duplicates in " +
-                                    "that they refer to tasks whose parent tasks are also " +
-                                    "referred by the findings");
-                }
+            if (counter > 0) {
+                Console.traceln(Level.INFO, counter + " of the findings are duplicates in " +
+                                "that they refer to tasks whose parent tasks are also " +
+                                "referred by the findings");
             }
         }
 
         UsabilityEvaluationResult result = new UsabilityEvaluationResult(taskModel, interimResults);
-        Console.println("the evaluation result contains " + result.getAllDefects().size() +
-                        " defects, of which " + result.getSevereDefects().size() + " are severe.");
+        Console.println("the evaluation result contains " + result.getAllSmells().size() +
+                        " smells.");
 
         return result;
